<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:20e8bd90-2596-40e9-ad87-0414b360f735,g:dc423913-b511-4a09-b2c8-82a27c7038c3-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://ww2.firstcash.com/role/CoverPage" xlink:type="simple" xlink:href="fcfs-20250429.xsd#CoverPage"/>
  <link:presentationLink xlink:role="http://ww2.firstcash.com/role/CoverPage" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_8097fc4e-67ec-4c6c-85e2-b534ebd6d410" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityCentralIndexKey_8097fc4e-67ec-4c6c-85e2-b534ebd6d410" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_448f193d-d409-4329-9552-3e579e711dca" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_AmendmentFlag_448f193d-d409-4329-9552-3e579e711dca" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_35fa2592-b504-4dc6-8bcd-b8db65519597" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_DocumentType"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_DocumentType_35fa2592-b504-4dc6-8bcd-b8db65519597" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_501ce4e3-e5f5-44af-aef7-d4055c335d93" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_DocumentPeriodEndDate_501ce4e3-e5f5-44af-aef7-d4055c335d93" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_adae38fa-3212-4899-afd2-f4bfb3ac9d80" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityRegistrantName_adae38fa-3212-4899-afd2-f4bfb3ac9d80" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_02fe937a-96d9-4612-8c7f-ec5b5474bf15" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityIncorporationStateCountryCode_02fe937a-96d9-4612-8c7f-ec5b5474bf15" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_bc20f536-78eb-43da-b110-e2beb97996bd" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityFileNumber_bc20f536-78eb-43da-b110-e2beb97996bd" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_a098601e-e186-4ebc-b6c1-0bd533dbb11f" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityTaxIdentificationNumber_a098601e-e186-4ebc-b6c1-0bd533dbb11f" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_55d5178e-f53a-4ce1-a256-a512c0d9f683" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityAddressAddressLine1_55d5178e-f53a-4ce1-a256-a512c0d9f683" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_e74b2b08-3f85-42bd-ab94-3d970e8ba776" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityAddressCityOrTown_e74b2b08-3f85-42bd-ab94-3d970e8ba776" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_1eabd7a3-eb77-4ddc-b70b-0a79cf525605" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityAddressStateOrProvince_1eabd7a3-eb77-4ddc-b70b-0a79cf525605" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_04e0eba9-b546-45c3-b789-4f53b66344bd" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityAddressPostalZipCode_04e0eba9-b546-45c3-b789-4f53b66344bd" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_e097a4c4-e4b3-4643-af9d-d2829f70630a" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_CityAreaCode_e097a4c4-e4b3-4643-af9d-d2829f70630a" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_e744a868-93ae-4e52-8e9d-819730caa151" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_LocalPhoneNumber_e744a868-93ae-4e52-8e9d-819730caa151" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_e375f539-1f88-4a2a-8d01-6f7e8c668862" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_WrittenCommunications_e375f539-1f88-4a2a-8d01-6f7e8c668862" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_f643e8da-7e39-4b9f-ab64-bf8887e18bbc" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_SolicitingMaterial_f643e8da-7e39-4b9f-ab64-bf8887e18bbc" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_aff0b1a3-5da2-4baa-a934-bf2f7c23bc4d" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_PreCommencementTenderOffer_aff0b1a3-5da2-4baa-a934-bf2f7c23bc4d" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_92d4ffb8-bd63-4d18-9fa4-75e8ff51214d" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_92d4ffb8-bd63-4d18-9fa4-75e8ff51214d" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_15e4a9c6-0ce3-459e-8e74-eaef090e4758" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_Security12bTitle_15e4a9c6-0ce3-459e-8e74-eaef090e4758" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_707af3a5-eeb8-4cf7-84ca-edb31954d319" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_TradingSymbol_707af3a5-eeb8-4cf7-84ca-edb31954d319" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_ac21dedc-2d0b-4e0e-b3c7-791877ce8b9d" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_SecurityExchangeName_ac21dedc-2d0b-4e0e-b3c7-791877ce8b9d" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_6bfcd8b1-d54d-4761-90f0-7292f475ab64" xlink:href="https://xbrl.sec.gov/dei/2024/dei-2024.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_dd84e12e-dfd9-4009-b55c-a1c52d7ac0c3" xlink:to="loc_dei_EntityEmergingGrowthCompany_6bfcd8b1-d54d-4761-90f0-7292f475ab64" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
